package database;

import java.util.*;

import model.*;

public class TestDataDelegate implements IDataDelegate {
	
	Map <String,String> registeredUsers;
	
	public java.util.Map<String,User> load() throws DataException
	{
		//in a general data store, logins and passwords are not loaded into mem
		registeredUsers=new HashMap<String, String>();
		registeredUsers.put("Bob", "p1");
		registeredUsers.put("Margaret", "p2");
		registeredUsers.put("Doggy", "p3");
		
		Map <String,User> usersWithScores=new HashMap<String, User>();
		usersWithScores.put("Bob", new User("Bob"));
		usersWithScores.put("Margaret", new User("Margaret"));
		usersWithScores.put("Doggy", new User("Doggy"));
		
		return usersWithScores;
	}
	
	public boolean save( java.util.Map<String,User> users) throws DataException
	{
		//storing usersWithScores into persistent data store
		return true;
	}
	
	public boolean login(String name, String password) throws DataException
	{
		if(registeredUsers.containsKey(name))
		{
			if(registeredUsers.get(name).equals(password))
				return true;
		}
		return false;
	}


}
