package model;
import database.*;

public interface IUserModel {
	void setDataDelegate(IDataDelegate dal);
	void initialize() throws DataException;
	void saveAllChanges() throws DataException;
	User getCurrent();
	void updateCurrent(String oldName, User user);
	boolean authorizeUser(String name, String pwd);
}
