package controller;
import view.*;
import model.*;

public interface IController {
	void setViewer(GeneralUserGUI viewer);
	void setModel(IUserModel model);
	void updateModel();
	void populateViewer();
	void updateViewer();
	void performFirstAction();
	void performSecondAction();	
}
